---
title: About Me
---

## Overview

My name is Sam Al-Sapti. I'm a newly graduated software developer from Denmark.
My main interests are backend development, DevOps, DevSecOps, IT security,
open-source and Linux.

Further, I'm an advocate for online privacy, I'm against attention economy and
surveillance capitalism, I'm a big supporter of the Free Software movement, I'm
a digital minimalist, and I'm a member of [data.coop](https://data.coop) (I'm
also one of the system administrators). Also, you won't find me on
[Facebook](https://fsf.org/fb) or any other Big Tech social media platform
(except for [LinkedIn](https://www.linkedin.com/in/sam-a-dev/), but that's not
really a social media platform).

## My skills

Some technologies and tech concepts I'm familiar with are:

- Programming languages:
  - Bash
  - C
  - C++
  - C#
  - F#
  - Go
  - Java
  - Python
- DevOps, CI/CD pipelines, Ansible, cloud (DigitalOcean, Hetzner), Git
- Docker/Podman, virtualization software (QEMU/KVM, VirtualBox, Vagrant)
- Linux systems and server environments
- Basic IT security principles and best practices
- SQL and database systems

## Free services

I host some online services that you're welcome to use free of charge.

- [Lingva](https://translate.sapti.me)
  ([onion service](http://22qfd63ax4zt5arctpfh62kvjekap7yrdfzwq5kv5jvhew5hcpq6vgyd.onion)) -
  An alternative way of accessing Google Translate without being tracked.
- [SearXNG](https://search.sapti.me)
  ([onion service](http://gbat2pbpg7ys3fi3pbp64667tt5x66mg45xok35bxdw7v55brm7a27yd.onion)) -
  A metasearch engine that gets its results from other search engines while
  protecting your privacy.
- [An SMP server](smp://PUDVvQiNbsYG6gXYC2-GYUIQnNICi3BoxKGDKWX55uM=@smp01.simplex.sapti.me,pcexmrs4eod35vdvidq47jce7mnsfm26j27anttoy4zprc25pulkcfyd.onion) -
  A server used by [SimpleX Chat](https://simplex.chat) to relay messages
  between users. Server address:
  ```txt
  smp://PUDVvQiNbsYG6gXYC2-GYUIQnNICi3BoxKGDKWX55uM=@smp01.simplex.sapti.me,pcexmrs4eod35vdvidq47jce7mnsfm26j27anttoy4zprc25pulkcfyd.onion
  ```
- [An XFTP server](xftp://ZQ_l1SSdHDil-FCwhK7WH5KXhmQ8RTiYqh5xOh4aLL4=@xftp01.simplex.sapti.me,n5vct5tnf4zoaigmfj4ppxzhgrslg3n4a4sp5yjppp6lfwvq7m2vn2id.onion:5443) -
  A server used by [SimpleX Chat](https://simplex.chat) to send large files
  between users. Server address:
  ```txt
  xftp://ZQ_l1SSdHDil-FCwhK7WH5KXhmQ8RTiYqh5xOh4aLL4=@xftp01.simplex.sapti.me,n5vct5tnf4zoaigmfj4ppxzhgrslg3n4a4sp5yjppp6lfwvq7m2vn2id.onion:5443
  ```
